Summary:	Stereo reverb LADSPA plugin
Summary(pl.UTF-8):	Wtyczka LADSPA - stereofoniczny pogłos
Name:		ladspa-rev-plugins
Version:	0.8.1
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://kokkinizita.linuxaudio.org/linuxaudio/downloads/REV-plugins-%{version}.tar.bz2
# Source0-md5:	6e3063d0b30d1038a6bcd987114d9c71
Patch0:		%{name}-misc_fixes.patch
URL:		http://kokkinizita.linuxaudio.org/linuxaudio/ladspa/index.html
BuildRequires:	ladspa-devel
BuildRequires:	libstdc++-devel
Requires:	ladspa-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This LADSPA plugin contains a digital implementation of the stereo
reverb effect.

%description -l pl.UTF-8
Ta wtyczka LADSPA zawiera cyfrową implementację stereofonicznego
efektu pogłosu.

%prep
%setup -q -n REV-plugins-%{version}
%patch0 -p1

%build
CPPFLAGS="%{rpmcppflags}" \
CXXFLAGS="%{rpmcxxflags}" \
LDFLAGS="%{rpmldflags}" \
%{__make} -C source \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ladspa

%{__make} -C source install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_PLUGINS_DIR=%{_libdir}/ladspa

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/ladspa/zita-reverbs.so
%changelog
* Sun Sep 10 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ladspa-rev-plugins.git;a=log;h=master

* Sun Sep 10 2023 Jakub Bogusz <qboosh@pld-linux.org> e5c7aa6
- updated to 0.8.1

* Thu Jan 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 5de690b
- new URLs, updated to 0.7.1
- updated misc_fixes patch
- now it contains zita-reverbs plugin; legacy g2reverb plugin moved to ladspa-g2reverb package

* Mon Sep 26 2016 Jakub Bogusz <qboosh@pld-linux.org> ac939ee
- updated to 0.3.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7d90306
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 870ed1b
- converted to UTF-8

* Tue Oct 05 2004 havner <havner@pld-linux.org> 3e42c23
- fixed

* Tue Oct 05 2004 havner <havner@pld-linux.org> 8942ea7
- fix build on amd64

* Wed Mar 24 2004 freetz <freetz@pld-linux.org> 2bb85ff
- url updates

* Fri Jan 09 2004 Jakub Bogusz <qboosh@pld-linux.org> f5a6171
- pass CXX, removed duplicated "install"

* Fri Jan 09 2004 freetz <freetz@pld-linux.org> 3637a53
- initial: destdir and ladspa include

* Fri Jan 09 2004 freetz <freetz@pld-linux.org> 8f6a710
- initial PLD release

